<!-- content -->
<app-side-modal-content>
  <!-- title -->
  <app-side-modal-title>
    EDIT SPACE
  </app-side-modal-title>

  <!-- scrollable sections -->
  <app-custom-scrollbar class="app-content">
    <!-- email -->
    <app-form-field [control]="name" [errors]="nameErrors" label="Name" type="input"></app-form-field>

    <!-- state -->
    <app-form-field [control]="state" [options]="stateOptions" label="State" type="select"></app-form-field>

    <!-- disabled reason -->
    <app-form-field
      [control]="disabledReason"
      [errors]="disabledReasonErrors"
      label="Disabled Reason"
      type="text"
    ></app-form-field>

    <!-- status -->
    <app-form-field [control]="status" [options]="statusOptions" label="Status" type="select"></app-form-field>
  </app-custom-scrollbar>
</app-side-modal-content>

<!-- footer -->
<app-side-modal-footer>
  <!-- spinner -->
  <app-spinner *ngIf="loading; else actions"></app-spinner>

  <!-- actions -->
  <ng-template #actions>
    <!-- edit -->
    <button (click)="onSaveClicked()" appFlatButton theme="secondary">
      Save
    </button>

    <!-- close -->
    <button (click)="cancelClick.emit()" appInlineButton theme="secondary">
      Cancel
    </button>
  </ng-template>
</app-side-modal-footer>
